CorebanqCorebanq Developer Docs
Tariffsv1Velocity Rules

Get tariff velocity rules

Get all velocity rules for a specific tariff

GET/v1/tariffs/{id}/velocity-rules

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/tariffs/497f6eca-6276-4993-bfeb-53cbbbba6f08/velocity-rules"
[
  {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "tariff_id": "d82b8db6-f412-4b9c-8c5e-6a0221035c86",
    "reference_id": "string",
    "type": "transaction_count",
    "interval": "once",
    "limit": 0,
    "media": "string",
    "asset": "string",
    "from_channel": "string",
    "to_channel": "string",
    "transaction_type": "string",
    "valid_from": "2019-08-24T14:15:22Z",
    "valid_to": "2019-08-24T14:15:22Z",
    "priority": 0,
    "active": true,
    "created_at": "2019-08-24T14:15:22Z",
    "created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4",
    "modified_at": "2019-08-24T14:15:22Z",
    "modified_by": "e8d4374d-93a1-4e98-a6c6-fdcf00c5059f",
    "metadata": {}
  }
]
{
  "code": "tariffs_m.tariff_not_found",
  "message": "Tariff not found"
}